#include <SoftwareSerial.h>
#define RX    1
#define TX    0

// ***
// *** Define the software based serial port. Using the
// *** name Serial so that code can be used on other
// *** platforms that support hardware based serial. On
// *** chips that support the hardware serial, just
// *** comment this line.
// ***
SoftwareSerial Serial(TX, RX);

const int LED_PIN = 3;
const int HALL_PIN = 2;

// the setup function runs once when you press reset or power the board
void setup() {
  Serial.begin(1200);
  Serial.println("Initializing...");
  
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(LED_PIN, OUTPUT);
  pinMode(HALL_PIN, INPUT_PULLUP);
  digitalWrite(LED_PIN, LOW);
}

int led_state = 0; // 0 = off, 1 = on

// the loop function runs over and over again forever
void loop() {
  int hall = analogRead(HALL_PIN);
  Serial.println(hall);
  if (hall > 700){
    led_state = 1;
  } else {
    led_state = 0;
  }
  
  digitalWrite(LED_PIN, led_state);
  delay(50);
}
